Loading...
Searching...
No Matches
sam_tag_dictionary.hpp File Reference

Provides the seqan3::sam_tag_dictionary class and auxiliaries. More...

`#include <concepts>`
`#include <map>`
`#include <variant>`
`#include <seqan3/core/detail/template_inspection.hpp>`
`#include <seqan3/utility/char_operations/predicate.hpp>`
`#include <seqan3/utility/container/small_string.hpp>`
Include dependency graph for sam_tag_dictionary.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::sam_tag_dictionary
| The SAM tag dictionary class that stores all optional SAM fields. More...
struct | seqan3::sam_tag_type< tag_value >
| The generic base class. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::literals
| The SeqAn namespace for literals.

## Functions

Other literals
template<small_string< 2 > str>
constexpr uint16_t | seqan3::literals::operator""_tag ()
| The SAM tag literal, such that tags can be used in constant expressions.

## Detailed Description

Provides the seqan3::sam_tag_dictionary class and auxiliaries.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me